curl --request GET \
--url https://api.affinity.co/v2/meetings/{meetingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/meetings/{meetingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/meetings/{meetingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"loggingType": "automated",
"title": "Example title",
"startTime": "2023-01-01T00:00:00Z",
"endTime": "2023-01-01T00:00:00Z",
"allDay": false,
"creator": {
"emailAddress": "john.smith@contoso.com",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
},
"organizer": {
"emailAddress": "john.smith@contoso.com",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
},
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z",
"attendeesPreview": {
"data": [
{
"emailAddress": "john.smith@contoso.com",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
}
],
"totalCount": 200
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Get a single Meeting
| ⚠️ This endpoint is currently in BETA |
|---|
| Retrieve detailed information about a specific Meeting you have access to view. |
| Returns meeting details including title, timing, organizer, creator, and attendee information. |
Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
Meeting ID
1 <= x <= 9007199254740991Response
OK
The meeting's unique identifier
1 <= x <= 90071992547409911
Indicates how the interaction was added to Affinity: either manually by a user ('manual') or automatically through Affinity's capture process ('automated').
automated, manual "automated"
The meeting's title
"Example title"
The timestamp of when the meeting starts
"2023-01-01T00:00:00Z"
The timestamp of when the meeting ends
"2023-01-01T00:00:00Z"
Whether the meeting is all day
false
The person who created the meeting
Show child attributes
Show child attributes
The person who organized the meeting
Show child attributes
Show child attributes
The timestamp of when the meeting was created
"2023-01-01T00:00:00Z"
The timestamp of when the meeting was updated
"2023-01-01T00:00:00Z"
A preview of the attendees in the meeting
Show child attributes
Show child attributes
Was this page helpful?